package com.iotechn.unimall.data.domain.shop;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.enums.FieldFill;
import com.iotechn.unimall.core.util.StringUtils;
import java.util.Date;

/**
 * 物流公司对象 shop_tran
 * 
 * @author jlb
 * @date 2022-05-29
 */
@Data
@TableName("shop_tran")
public class ShopTran extends BaseDO{
    private static final long serialVersionUID = 1L;

    /**  */
    @TableId("id")
    private Long id;
    /** 物流公司名称 */
    @Excel(name = "夫子物流公司名称")
    @TableField("fuzi_name")
    private String fuziName;
    /** 物流公司名称 */
    @Excel(name = "物流公司名称")
    @TableField("name")
    private String name;

    /** 物流公司编码 */
    @Excel(name = "物流公司编码")
    @TableField("code1")
    private String code1;

    /** 物流公司编码 */
    @Excel(name = "物流公司编码")
    @TableField("code2")
    private String code2;

    /** 物流公司电话 */
    @Excel(name = "物流公司电话")
    @TableField("phone")
    private String phone;

    /** 备注 */
    @Excel(name = "备注")
    @TableField("remark")
    private String remark;

    /** 删除标识 */
    @Excel(name = "删除标识")
    @TableField("delete_flag")
    private Integer deleteFlag;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_create")
    private Date gmtCreate;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_update")
    private Date gmtUpdate;

    /**  */
    @Excel(name = "")
    @TableField("user_id")
    private Long userId;

    /**  */
    @Excel(name = "")
    @TableField("admin_id")
    private Long adminId;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("code1", getCode1())
            .append("code2", getCode2())
            .append("phone", getPhone())
            .append("remark", getRemark())
            .append("deleteFlag", getDeleteFlag())
            .append("gmtCreate", getGmtCreate())
            .append("gmtUpdate", getGmtUpdate())
            .append("userId", getUserId())
            .append("adminId", getAdminId())
            .toString();
    }
}
